import request from '@/utils/request'

// 查询诊所管理列表
export function listCompany(query) {
  return request({
    url: '/his/company/list',
    method: 'get',
    params: query
  })
}

// 查询诊所管理详细
export function getCompany(companyId) {
  return request({
    url: '/his/company/' + companyId,
    method: 'get'
  })
}
export function resetPwd(companyId) {
  return request({
    url: '/his/company/resetPwd/'+companyId,
    method: 'post'
  })
}
export function deduct(data) {
  return request({
    url: '/his/company/deduct',
    method: 'post',
    data: data
  })
}
export function recharge(data) {
  return request({
    url: '/his/company/recharge',
    method: 'post',
    data: data
  })
}

// 新增诊所管理
export function addCompany(data) {
  return request({
    url: '/his/company',
    method: 'post',
    data: data
  })
}

// 修改诊所管理
export function updateCompany(data) {
  return request({
    url: '/his/company',
    method: 'put',
    data: data
  })
}

// 删除诊所管理
export function delCompany(companyId) {
  return request({
    url: '/his/company/' + companyId,
    method: 'delete'
  })
}

// 导出诊所管理
export function exportCompany(query) {
  return request({
    url: '/his/company/export',
    method: 'get',
    params: query
  })
}
